summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Binh Nguyen <binhnguyen@fastmail.fm>2010-12-28 00:53:19 -0600
committer Robby Workman <rworkman@slackbuilds.org>2010-12-29 01:08:49 -0600
commit2cca181910818e6af4fa9c1e71cb9ae1718af3f7 (patch)
tree75278693ed580c388370792348314f426d063c15
parent385967a3273f28a08da832145c222c00976010d0 (diff)
downloadslackbuilds-2cca181910818e6af4fa9c1e71cb9ae1718af3f7.tar.gz
slackbuilds-2cca181910818e6af4fa9c1e71cb9ae1718af3f7.tar.xz
system/dina-font: Added (a monospace bitmap font)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--system/dina-font/README3
-rw-r--r--system/dina-font/dina-font.SlackBuild63
-rw-r--r--system/dina-font/dina-font.info10
-rw-r--r--system/dina-font/doinst.sh10
-rw-r--r--system/dina-font/slack-desc19
5 files changed, 105 insertions, 0 deletions
diff --git a/system/dina-font/README b/system/dina-font/README
new file mode 100644
index 0000000000..24dc10ae4f
--- /dev/null
+++ b/system/dina-font/README
@@ -0,0 +1,3 @@
+Dina is a monospace bitmap font, primarily aimed at programmers.
+It is relatively compact to allow a lot of code on screen while
+clear enough to remain readable even at high resolutions.
diff --git a/system/dina-font/dina-font.SlackBuild b/system/dina-font/dina-font.SlackBuild
new file mode 100644
index 0000000000..ba01c4ceec
--- /dev/null
+++ b/system/dina-font/dina-font.SlackBuild
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# Slackware build script for dina-font
+
+# Copyright 2010 Binh Nguyen <binhnguyen@fastmail.fm>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=dina-font
+VERSION=${VERSION:-2.89}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf Dina-PCF
+tar xvf $CWD/dina-pcf-$VERSION.tar.gz
+cd Dina-PCF
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/misc
+cp -a * $PKG/usr/share/fonts/misc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/dina-font/dina-font.info b/system/dina-font/dina-font.info
new file mode 100644
index 0000000000..d7e97d8e22
--- /dev/null
+++ b/system/dina-font/dina-font.info
@@ -0,0 +1,10 @@
+PRGNAM="dina-font"
+VERSION="2.89"
+HOMEPAGE="http://www.donationcoder.com/Software/Jibz/Dina/index.html"
+DOWNLOAD="http://ompldr.org/vMjIwNA/dina-pcf-2.89.tar.gz"
+MD5SUM="d6c425c007a9a576b4bb88c88cf57076"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Binh Nguyen"
+EMAIL="binhnguyen@fastmail.fm"
+APPROVED="rworkman"
diff --git a/system/dina-font/doinst.sh b/system/dina-font/doinst.sh
new file mode 100644
index 0000000000..d21eaa7233
--- /dev/null
+++ b/system/dina-font/doinst.sh
@@ -0,0 +1,10 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/misc
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/dina-font/slack-desc b/system/dina-font/slack-desc
new file mode 100644
index 0000000000..defb125b18
--- /dev/null
+++ b/system/dina-font/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dina-font: dina-font (a monospace bitmap font aimed at programmers)
+dina-font:
+dina-font: Dina is a monospace bitmap font, primarily aimed at programmers.
+dina-font: It is relatively compact to allow a lot of code on screen while
+dina-font: clear enough to remain readable even at high resolutions.
+dina-font:
+dina-font: Homepage: http://www.donationcoder.com/Software/Jibz/Dina/index.html
+dina-font:
+dina-font:
+dina-font:
+dina-font: